"""empty message

Revision ID: 09f191d8c963
Revises: 1b6d4c16dc04
Create Date: 2021-03-04 14:30:12.365574

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '09f191d8c963'
down_revision = '1b6d4c16dc04'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('ticketstatus', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=True)
    op.create_unique_constraint(None, 'ticketstatus', ['status_code'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'ticketstatus', type_='unique')
    op.alter_column('ticketstatus', 'status_code',
               existing_type=mysql.INTEGER(),
               nullable=False)
    # ### end Alembic commands ###
